package com.ruoyi.app.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 app_wave
 *
 * @author ruoyi
 * @date 2025-01-14
 */
public class AppWave extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 波次单号 */
    private String waveId;

    /** 出库规则 */
    @Excel(name = "出库规则")
    private Long outRule;

    /** 是否插队 */
    @Excel(name = "是否插队")
    private Long isChad;

    /** 状态 */
    @Excel(name = "状态")
    private Long waveStatus;

    /** 订单WBS */
    @Excel(name = "订单WBS")
    private String orderWbs;

    /** 出库口 */
    @Excel(name = "出库口")
    private String waveDestination;

    public void setWaveId(String waveId)
    {
        this.waveId = waveId;
    }

    public String getWaveId()
    {
        return waveId;
    }
    public void setOutRule(Long outRule)
    {
        this.outRule = outRule;
    }

    public Long getOutRule()
    {
        return outRule;
    }
    public void setIsChad(Long isChad)
    {
        this.isChad = isChad;
    }

    public Long getIsChad()
    {
        return isChad;
    }
    public void setWaveStatus(Long waveStatus)
    {
        this.waveStatus = waveStatus;
    }

    public Long getWaveStatus()
    {
        return waveStatus;
    }
    public void setOrderWbs(String orderWbs)
    {
        this.orderWbs = orderWbs;
    }

    public String getOrderWbs()
    {
        return orderWbs;
    }
    public void setWaveDestination(String waveDestination)
    {
        this.waveDestination = waveDestination;
    }

    public String getWaveDestination()
    {
        return waveDestination;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("waveId", getWaveId())
                .append("outRule", getOutRule())
                .append("isChad", getIsChad())
                .append("waveStatus", getWaveStatus())
                .append("orderWbs", getOrderWbs())
                .append("remark", getRemark())
                .append("waveDestination", getWaveDestination())
                .toString();
    }
}
